### Method

# Ide TerminalLauncher spawn_finish

#### Declaration

    gboolean
    ide_terminal_launcher_spawn_finish (
      IdeTerminalLauncher* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes a request to `ide_terminal_launcher_spawn_async()`

Available since: | 3.34

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the process executed successfully; otherwise `FALSE` and `error` is set.